Arduino

Reference Language | Libraries | Comparison | Changes

SD : File class

## write()

#### Description

Write data to the file.

#### Syntax

file.write(data)
file.write(buf, len)

#### Parameters

file: an instance of the File class (returned by SD.open())

data: the byte, char, or string (char *) to write

buf: an array of characters or bytes

len: the number of elements in buf

#### Returns

byte
write() will return the number of bytes written, though reading that number is optional

#### See Also

- print()
- println()
- read()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes